﻿@media (max-width: 600px) {
    .header-gutters {
        margin: 0.5rem 3rem 0.5rem 1.5rem !important;
    }

    [dir="rtl"] .header-gutters {
        margin: 0.5rem 1.5rem 0.5rem 3rem !important;
    }

    .main {
        flex-direction: column !important;
        row-gap: 0 !important;
    }

    nav.sitenav {
        width: 100%;
        height: 100%;
    }

    #main-menu {
        width: 100% !important;
    }

    #main-menu > div:first-child:is(.expander) {
        display: none;
    }

    .navmenu {
        width: 100%;
    }

    #navmenu-toggle {
        appearance: none;
    }

    #navmenu-toggle ~ nav {
        display: none;
    }

    #navmenu-toggle:checked ~ nav {
        display: block;
    }

    .navmenu-icon {
        cursor: pointer;
        z-index: 10;
        display: block;
        position: absolute;
        top: 15px;
        left: unset;
        right: 20px;
        width: 20px;
        height: 20px;
        border: none;
    }

    [dir="rtl"] .navmenu-icon {
        left: 20px;
        right: unset;
    }
    
    .header-container {
        flex-wrap: wrap; /* Allows items to move to new lines */
    }

    .logo {
        flex: 1;
        order: 1; /* Stay top left */
    }

    .actions {
        flex: 1;
        order: 2; /* Stay top right */
    }

    .search-bar {
        flex: 0 0 100%; /* Force to take full width of a new line */
        order: 3;       /* Move to the bottom */
        justify-content: center;
    }
}